Wednesday, 31 May 2017

yo, yeoman, how to install old generators ?


Find out which version do you have





to install the latest version you need to :


npm install -g generator-angular-fullstack



then run below command again to check you got it.

npm list -g --depth=0



Then i can get my old version back by:


npm install -g generator-angular-fullstack@2.0.13




npm install -g generator-angular-fullstack@4.2.2


Note: when you use older version of the generator, you don't have to switch back to older version of node, because older version may request other package and other package may use latest versions of other packages which may make the whole generator stop working.

if you just want to use the generator to create files then, you don't have to change back to older node.

No comments:

Post a comment